### Method

# Shumate MapSource get_x

#### Declaration [src]

    double
    shumate_map_source_get_x (
      ShumateMapSource* map_source,
      double zoom_level,
      double longitude
    )

#### Description [src]

Gets the x position on the map using this map source’s projection. (0, 0) is located at the top left.

#### Parameters

`zoom_level`

  Type: `double`

  The zoom level.

`longitude`

  Type: `double`

  A longitude.

#### Return value

Type: `double`

The x position.